#include <iostream>
#include<cmath>
using namespace std;
int main()
{
	 long long int novac;
	cin >> novac;
	int brojacNovca=0;
	int i = 0;
	int j = 0;
	 long long int pare = novac;
	 long long int a = 1;
	
	while (novac > 0)
	{
	


		for ( i = 0; i < 9; i++)
		{
		
			if (i ==0) { a = 1; }
			else { a = pow(10, i); }
			
			
			
			if (pare / a > 0)
			{
				j = i;
			}
			else
			{
				break;
			}
		}
		
		
		if (j == 0) { a = 1; }
		else
		{
			a = pow(10, j);
		}

		if (pare / (5*a) < 5)
		{
			if (pare / (2*a) < 2)
			{
				novac = novac - (1 * a);
				brojacNovca++;
			}
			else
			{
				novac = novac - (2 * a);
				brojacNovca++;
			}
		}
		else
		{
			novac = novac-( 5 * a);
			brojacNovca++;
		}
		
	}

   cout << brojacNovca;
}